29 votos

Sublime Text 2 paquetes ignorados

Así que después de cambiar a Sublime Text año pasado, se ha convertido en mi editor de elección, y he instalado varios paquetes a través de la excelente Paquete de Control y básicamente personalizado a mi gusto. Después de un par de meses de uso poco frecuente, me saltó de nuevo en un código intensivo proyecto y disparó hasta ST2 sólo para descubrir que ninguno de mis paquetes de trabajo.

Después de algo de investigación, finalmente se me ocurrió abrir mi archivo de preferencias, sólo para encontrar a todos mis paquetes instalados en el "ignored_packages" de la lista. WTF?

Ha alguien más experimentado esto o saber lo que podría haber causado esto? Tengo que hacer algunas cosas divertidas en mi sueño a veces, pero no esta!

30voto

MattDMo Puntos 21024

Mi anterior comentario no obstante, creo que he descubierto lo que está pasando. El problema parece ser el Paquete de Control, lo más probable es que la nueva actualización de la versión 2.0. Acabo de reiniciar ST2 después de haber abierto para los últimos días, y pasó a tener la consola (Ctrl`) abiertos, y vio que varios de mis paquetes, incluyendo la Etiqueta de Terminal, y SublimeREPL, se añadieron a la omisión de la lista de paquetes. Generalmente, esto sucede cuando un paquete es actualizado o eliminado, y se hace lo que no puede ser utilizado a mitad de camino a través de la operación antes de que todo esté sincronizado. En cualquier caso, para mí hay algún tipo de error, y tuve que forzar el cierre Sublime y lo reinicie. Inmediatamente me registré mis preferencias, y por supuesto varios paquetes estaban en la "ignored_packages" de la matriz.

Así que, supongo que algo como esto te ha ocurrido, y por el motivo que sea los paquetes que no fueron retirados de la lista de ignorados, posiblemente debido a que el sistema de actualización no se completa normalmente. Esperemos que esto no vuelva a suceder, pero si no vas a saber dónde buscar. Además, si sucede de nuevo, me gustaría presentar un problema en Github, ya que esto puede ser un error.


Actualización

Mi problema en Github se ha fusionado en este, y si se desplaza hacia abajo a la parte inferior wbond tiene una solución por ahora: Descargue Package Control 2.0.1-beta, lo puso en su Installed Packages carpeta (la eliminación de uno de los que ya hay), y añadiendo el repositorio https://sublime.wbond.net/prerelease/packages.json seleccionando Preferences -> Package Control -> Add Repository. Reinicie ST2, y ver lo que sucede, especialmente después de reiniciar varias veces. Si usted todavía tiene bugs o comportamiento extraño, por favor, añadir a la cuestión.

5voto

molli Puntos 164

Voy a añadir este incluso si es un hilo viejo, porque la respuesta no resuelve mi problema, pero me señaló en la dirección correcta.

Desde que era un problema debido a que el Paquete de Control tratando de paquetes de actualización y yo no quería meterse con los repos y esas cosas, primero traté de actualizar los paquetes de "manualmente" utilización de Control de Paquetes y me di cuenta de que no fue un 1 a 1 del partido entre los elementos de la ignored_packages de la matriz y los paquetes que necesitan ser actualizados.

Después de actualizar, eliminar sólo los paquetes de la matriz y reiniciar ST2: no más extraño ignora los paquetes en la matriz.

Iteramos.com

Iteramos es una comunidad de desarrolladores que busca expandir el conocimiento de la programación mas allá del inglés.
Tenemos una gran cantidad de contenido, y también puedes hacer tus propias preguntas o resolver las de los demás.

Powered by:

X